darcs-2.12.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Util.Download.HTTP

# Documentation

fetchUrl :: String -> IO String #

postUrl #

Arguments

:: String | url
-> String | body
-> String | mime type
-> IO () | result

requestUrl :: String -> FilePath -> a -> IO String #

waitNextUrl :: IO (String, String, Maybe ConnectionError) #